#ifndef HW_H
#define HW_H

char* hwname(unsigned long addr);
int update_hw(void);
int update_counter(void);
void dma6_exec(UINT32 adr,UINT32 bcr,UINT32 chcr);

extern INT32 Event_Register;
extern UINT32 Event_List[16];
extern UINT32 Event_Mask[16];
// extern UINT32 Event_RootCount;
extern void (*EventCallBack[16])();

UINT32 rdtsc();

int  hw_init(void);
void hw_close(void);

UINT8 hw_read8(UINT32 adr);
UINT16 hw_read16(UINT32 adr);
UINT32 hw_read32(UINT32 adr);

void hw_write8(UINT32 adr,UINT32 data);
void hw_write16(UINT32 adr,UINT32 data);
void hw_write32(UINT32 adr,UINT32 data);

#endif
