#ifndef _SPU_H
#define _SPU_H

typedef struct {
    UINT8   *SystemRam;
} SPU_Struct;

int  SPU_Open(SPU_Struct *spu);
void SPU_Close(void);
int  SPU_Read(UINT32 adr);
void SPU_Write(UINT32 adr,int data);
void SPU_DmaExec(UINT32 adr,UINT32 bcr,UINT32 chcr);

int  SPU_Configure(void);
void SPU_About(void);

#endif
