#include <windows.h>

#include "type.h"
#include "mem.h"
#include "opdef.h"
#include "cpu2.h"
#include "gte.h"
#include "bios.h"
#include "hw.h"
#include "compile.h"
#include "win.h"
#include "runtime.h"
#include "gpu.h"
#include "cdrom.h"
#include "dis.h"
#include "cd.h"
#include "sio.h"
#include "rs232.h"
#include "joydrv.h"
#include "joypad.h"
#include "mdec.h"
#include "spu.h"

// add-on
#define FRAMESKIP   0
#define AUTOSPEED   0

// Flags
#define DISASMFLG       0x0001
#define EMULATE_BIOS    0x0002
#define VERBOSE         0x0004
#define IN_SLOT         0x0008
#define STOP            0x0010
#define SET_ESI         0x0020
#define COMPILE         0x0040
#define DEBUG           0x0080

#define disasmflg       (FPSE_Flags & DISASMFLG)
#define emulate_bios    (FPSE_Flags & EMULATE_BIOS)
#define verbose         (FPSE_Flags & VERBOSE)
#define in_slot         (FPSE_Flags & IN_SLOT)
#define stop            (FPSE_Flags & STOP)
#define compile         (FPSE_Flags & COMPILE)
#define debug           (FPSE_Flags & DEBUG)

#define PRINTF  if (verbose) printf

void run_debug(void);

extern unsigned char *ram;
extern unsigned char *rom;

extern HWND           FPSE_hwnd;

extern R3000_REG reg;
extern int       Irq_Pulse;
extern int       FPSE_Flags;
/*
extern char      disasmflg;
extern char      emulate_bios;
extern char      verbose;
extern char      in_slot;
*/